Subject: Re: linux-next: build warning after merge of the pci tree

From: Bjorn Helgaas <[email-masked]>
Date: Tue, 4 Aug 2020 21:29:01 -0500

On Wed, Aug 05, 2020 at 11:32:16AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the pci tree, today's linux-next build (x86_64 allmodconfig)
> produced this warning:
> 
> drivers/pci/controller/pcie-altera.c: In function 'altera_pcie_parse_dt':
> drivers/pci/controller/pcie-altera.c:697:17: warning: unused variable 'dev' [-Wunused-variable]
>   697 |  struct device *dev = &pcie->pdev->dev;
>       |                 ^~~
> 
> Introduced by commit
> 
>   caecb05c8000 ("PCI: Remove dev_err() when handing an error from platform_get_irq()")

Yeah, I blew it, sorry.

e2dcd20b1645 ("PCI: controller: Convert to
devm_platform_ioremap_resource_byname()") removed one use of "dev",
and caecb05c8000 ("PCI: Remove dev_err() when handing an error from
platform_get_irq()") removed the other.  They were on independent
branches and I didn't catch it when merging them.  I thought I had
built the result, but I must not have.

Fixed and re-pushed.